org.richfaces.ui.output.chart

## Class AbstractChart

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.ui.output.chart.AbstractChart

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    UIChart

      public abstract class AbstractChart
      extends javax.faces.component.UIComponentBase

  Author:
    Lukas Macko

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractChart()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `abstract String` | `getOnmouseout()` Complementary event for plothover fired when mouse leaves the chart grid.
    `abstract String` | `getOnplotclick()` Javascript handler function for plotclick event called for each series.
    `abstract String` | `getOnplothover()` Javascript handler function for plothover event for each series.
    `abstract javax.el.MethodExpression` | `getPlotClickListener()` Server-side listener for plotclick event.
    `abstract String` | `getStyleClass()` The attribute assign CSS class to component div.
    `abstract String` | `getTitle()` Chart title shown above the chart.
    `abstract boolean` | `isZoom()` Attribute define whether zoom is enabled.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractChart

          public AbstractChart()

  - ### Method Detail

    - #### getTitle

          public abstract String getTitle()

      Chart title shown above the chart.

    - #### getStyleClass

          public abstract String getStyleClass()

      The attribute assign CSS class to component div.

    - #### isZoom

          public abstract boolean isZoom()

      Attribute define whether zoom is enabled. To reset zoom you can use JS API $('#id').chart('resetZoom') Attribute is currently supported by line chart.

    - #### getOnplotclick

          public abstract String getOnplotclick()

      Javascript handler function for plotclick event called for each series. You can setup handler for particular series only. See series tag attribute onplotclick.

    - #### getOnplothover

          public abstract String getOnplothover()

      Javascript handler function for plothover event for each series. You can setup handler for particular series only. See series tag attribute onplothover.

    - #### getOnmouseout

          public abstract String getOnmouseout()

      Complementary event for plothover fired when mouse leaves the chart grid.

    - #### getPlotClickListener

          public abstract javax.el.MethodExpression getPlotClickListener()

      Server-side listener for plotclick event.

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `javax.faces.component.UIComponentBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright © 2014 JBoss by Red Hat. All rights reserved.